#! /bin/bash


# check rpm&&deb


dirname=`dirname $0`
tmp="${dirname#?}"
if [ "${dirname%$tmp}" != "/" ]; then
	dirname=$PWD/$dirname
fi
echo $dirname
cd "$dirname"

#install app
appName=ugee-pentablet
sysAppDir="/usr/lib"
appAppDir=./App$sysAppDir/$appName
appConfDir=./App$sysAppDir/$appName/conf/ugee
sysConfDir=$sysAppDir/$appName/conf/ugee
exeShell="ugee-pentablet.sh"

pid=`ps -e|grep $appName`

if [ -n "$pid" ]; then
	echo $pid
	arr=()
	while read -r line; do
	   arr+=("$line")
	done <<< "$pid"
	for val in "${arr[@]}";
	do
		appid=`echo $val | awk '{print $1}'`
	   	name=`echo $val | awk '{print $4}'`
	   	echo "ID:"$appid 
		echo "Name:"$name

		if [ "$name" = "$exeShell" ]; then
			echo "close $exeShell"
			kill -15 $appid
		elif [ "$name" = "$appName" ]; then
			echo "close $appName"
			kill -15 $appid
		fi
	done
	exit
fi


#Copy rule
sysRuleDir="/lib/udev/rules.d"
appRuleDir=./App$sysRuleDir
ruleName="10-ugee.rules"

#echo "$appRuleDir/$ruleName"
#echo "$sysRuleDir/$ruleName"

if [ -f $appRuleDir/$ruleName ]; then
	str=`cp $appRuleDir/$ruleName $sysRuleDir/$ruleName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	fi
else
	echo "Cannot find driver's rules in package"
	exit
fi




if [ -d "$appAppDir" ]; then
	str=`cp -rf $appAppDir $sysAppDir`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	fi
else
	echo "Cannot find driver's files in package"
	exit
fi

if [ -f $sysAppDir/$appName/$exeShell ]; then
	str=`chmod +0755 $sysAppDir/$appName/$exeShell`
	if [ "$str" !=  "" ]; then 
		echo "Cannot add permission to start script"
		echo "$str";
	fi
else
	echo "can not find start script"
	exit
fi

if [ -f $sysAppDir/$appName/$appName ]; then
	str=`chmod +0555 $sysAppDir/$appName/$appName`
	if [ "$str" !=  "" ]; then 
		echo "Cannot add permission to app"
		echo "$str";
	fi
else
	echo "can not find app"
	exit
fi

# install shortcut
sysDesktopDir=/usr/share/applications
sysAppIconDir=/usr/share/icons
sysAutoStartDir=/etc/xdg/autostart

appDesktopDir=./App$sysDesktopDir
appAppIconDir=./App$sysAppIconDir
appAutoStartDir=./App$sysAutoStartDir

appDesktopName=$appName.desktop
appIconName=$appName.png


#echo $appDesktopDir/$appDesktopName
#echo $sysDesktopDir/$appDesktopName
#echo $appAppIconDir/$appIconName
#echo $sysAppIconDir/$appIconName

if [ -f $appDesktopDir/$appDesktopName ]; then
	str=`cp $appDesktopDir/$appDesktopName $sysDesktopDir/$appDesktopName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	fi
else
	echo "Cannot find driver's shortcut in package"
	exit
fi

if [ -f $appAppIconDir/$appIconName ]; then
	str=`cp $appAppIconDir/$appIconName $sysAppIconDir/$appIconName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	else
		chmod +0666 $sysAppIconDir/$appIconName
	fi
else
	echo "Cannot find driver's icon in package"
	exit
fi

if [ -f $appAutoStartDir/$appDesktopName ]; then
	str=`cp $appAutoStartDir/$appDesktopName $sysAutoStartDir/$appDesktopName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	fi
else
	echo "Cannot find set auto start"
fi

#Copy config files
sysConfName=config.xml
sysLangName=language.ini
sysNameConfName=name_config.ini


if [ -f $appConfDir/$sysConfName ]; then
	str=`cp $appConfDir/$sysConfName $sysConfDir/$sysConfName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	else
		chmod +0666 $sysConfDir/$sysConfName		
	fi
else
	echo "Cannot find driver's configuration in package"
	exit
fi

if [ -f $appConfDir/$sysLangName ]; then
	str=`cp $appConfDir/$sysLangName $sysConfDir/$sysLangName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	else
		chmod +0666 $sysConfDir/$sysLangName
	fi
else
	echo "Cannot find driver's configuration of language in package"
	exit
fi

if [ -f $appConfDir/$sysNameConfName ]; then
	str=`cp $appConfDir/$sysNameConfName $sysConfDir/$sysNameConfName`
	if [ "$str" !=  "" ]; then 
		echo "$str";
	else
			chmod +0666 $sysConfDir/$sysNameConfName
	fi
else
	echo "Cannot find driver's configuration of name in package"
	exit
fi

if [ -f /usr/lib/ugee-pentablet/resource.rcc ]; then
	chmod +0555 /usr/lib/ugee-pentablet/resource.rcc
fi
if [ -f /usr/lib/ugee-pentablet/ugee-pentablet.sh ]; then
	chmod +0555 /usr/lib/ugee-pentablet/ugee-pentablet.sh
fi
if [ -f /usr/lib/ugee-pentablet/ugee-pentablet ]; then
	chmod +0555 /usr/lib/ugee-pentablet/ugee-pentablet
fi


echo "Driver installed successfully, please restart and use it."

